Index: LMDZ6/trunk/libf/phylmd/radiation_AR4.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/radiation_AR4.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/radiation_AR4.f90	(revision 5282)
@@ -5,4 +5,5 @@
     tauae, pizae, cgae, ptaua, pomegaa, ptopswad, psolswad, ptopswai, &
     psolswai, ok_ade, ok_aie)
+  USE clesphys_mod_h
   USE dimphy
   USE print_control_mod, ONLY: lunout
@@ -60,5 +61,4 @@
   ! IM ctes ds clesphys.h   REAL(KIND=8) RCO2  ! concentration CO2 (IPCC:
   ! 353.E-06*44.011/28.97)
-  include "clesphys.h"
 
   REAL (KIND=8) ppsol(kdlon) ! SURFACE PRESSURE (PA)
@@ -322,4 +322,5 @@
 SUBROUTINE swu_lmdar4(psct, pcldsw, ppmb, ppsol, prmu0, pfrac, ptave, pwv, &
     paki, pcld, pclear, pdsig, pfact, prmu, psec, pud)
+  USE clesphys_mod_h
   USE dimphy
   USE radiation_ar4_param, ONLY: zpdh2o, zpdumg, zprh2o, zprumg, rtdh2o, &
@@ -346,5 +347,4 @@
   REAL (KIND=8) psct
   ! IM ctes ds clesphys.h   REAL(KIND=8) RCO2
-  include "clesphys.h"
   REAL (KIND=8) pcldsw(kdlon, kflev)
   REAL (KIND=8) ppmb(kdlon, kflev+1)
@@ -1547,4 +1547,5 @@
     ptau, pcgaz, ppizaz, pray1, pray2, prefz, prj, prk, prmue, ptauaz, ptra1, &
     ptra2)
+  USE clesphys_mod_h
   USE dimphy
   IMPLICIT NONE
@@ -2201,5 +2202,4 @@
   ! REAL(KIND=8) RCFC12 ! CFC12 CONCENTRATION (IPCC: 484.E-12*
   ! 120.9140/28.97)
-  include "clesphys.h"
   REAL (KIND=8) pcldld(kdlon, kflev) ! DOWNWARD EFFECTIVE CLOUD COVER
   REAL (KIND=8) pcldlu(kdlon, kflev) ! UPWARD EFFECTIVE CLOUD COVER
@@ -2345,4 +2345,5 @@
 ! IM ctes ds clesphys.h   SUBROUTINE LWU(RCO2, RCH4, RN2O, RCFC11, RCFC12,
 SUBROUTINE lwu_lmdar4(paer, pdp, ppmb, ppsol, poz, ptave, pview, pwv, pabcu)
+  USE clesphys_mod_h
   USE dimphy
   USE radiation_ar4_param, ONLY: tref, rt1, raer, at, bt, oct
@@ -2400,5 +2401,4 @@
   ! REAL(KIND=8) RCO2
   ! REAL(KIND=8) RCH4, RN2O, RCFC11, RCFC12
-  include "clesphys.h"
   REAL (KIND=8) paer(kdlon, kflev, 5)
   REAL (KIND=8) pdp(kdlon, kflev)
Index: LMDZ6/trunk/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 5282)
@@ -98,4 +98,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+    USE clesphys_mod_h
 
     !======================================================================
@@ -203,5 +204,4 @@
     ! ==============
     include "YOETHF.h"
-    include "clesphys.h"
 
     ! Input arguments
Index: LMDZ6/trunk/libf/phylmd/readaerosol_interp.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/readaerosol_interp.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/readaerosol_interp.f90	(revision 5282)
@@ -13,7 +13,8 @@
 ! 4) Test for negative mass values
 
+  USE clesphys_mod_h
   USE ioipsl
   USE dimphy, ONLY : klev,klon
-  USE mod_phys_lmdz_para, ONLY : mpi_rank  
+  USE mod_phys_lmdz_para, ONLY : mpi_rank
   USE readaerosol_mod
   USE aero_mod, ONLY : naero_spc, name_aero
@@ -38,6 +39,5 @@
 
 
-  INCLUDE "chem.h"      
-  INCLUDE "clesphys.h"
+  INCLUDE "chem.h"
 
 !
Index: LMDZ6/trunk/libf/phylmd/regr_pr_time_av_m.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/regr_pr_time_av_m.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/regr_pr_time_av_m.f90	(revision 5282)
@@ -140,4 +140,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE clesphys_mod_h
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -159,5 +160,4 @@
 !-------------------------------------------------------------------------------
 ! Local variables:
-  include "clesphys.h"
 
   CHARACTER(LEN=80)  :: sub
Index: LMDZ6/trunk/libf/phylmd/surf_land_bucket_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_bucket_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/surf_land_bucket_mod.F90	(revision 5282)
@@ -44,4 +44,5 @@
 #endif
 #endif
+    USE clesphys_mod_h
     USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -60,5 +61,4 @@
 ! Bucket calculations for surface.
 !
-    INCLUDE "clesphys.h"
 
 ! Input variables  
Index: LMDZ6/trunk/libf/phylmd/surf_land_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_land_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/surf_land_mod.F90	(revision 5282)
@@ -73,4 +73,5 @@
 #endif
 
+    USE clesphys_mod_h
     USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -88,5 +89,4 @@
     USE dimsoil_mod_h, ONLY: nsoilmx
 
-    INCLUDE "clesphys.h"
     INCLUDE "dimpft.h"
 
Index: LMDZ6/trunk/libf/phylmd/surf_landice_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_landice_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/surf_landice_mod.F90	(revision 5282)
@@ -49,4 +49,5 @@
  
 !FC
+    USE clesphys_mod_h
     USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -72,5 +73,4 @@
 !    INCLUDE "indicesol.h"
 
-    INCLUDE "clesphys.h"
 
 ! Input variables 
Index: LMDZ6/trunk/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_ocean_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/surf_ocean_mod.F90	(revision 5282)
@@ -43,4 +43,5 @@
 #endif
 #endif
+    USE clesphys_mod_h
     USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -65,5 +66,4 @@
 
 
-    include "clesphys.h"
     ! for cycle_diurne and for iflag_z0_oce==-1 (prescribed z0)
 
Index: LMDZ6/trunk/libf/phylmd/surf_seaice_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_seaice_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/surf_seaice_mod.F90	(revision 5282)
@@ -37,5 +37,6 @@
   USE infotrac_phy, ONLY : ntiso,niso
 #endif
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+  USE clesphys_mod_h
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -56,5 +57,4 @@
 ! in here because it is the same calculation for the different modes of ocean.
 !
-    INCLUDE "clesphys.h"
 
 
Index: LMDZ6/trunk/libf/phylmd/sw_aeroAR4.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/sw_aeroAR4.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/sw_aeroAR4.f90	(revision 5282)
@@ -20,4 +20,5 @@
      ok_ade, ok_aie, flag_aerosol, flag_aerosol_strat )
 
+  USE clesphys_mod_h
   USE dimphy
   USE phys_output_mod, ONLY : swaero_diag
@@ -39,5 +40,4 @@
 
 
-  INCLUDE "clesphys.h"
   !
   !     ------------------------------------------------------------------
Index: LMDZ6/trunk/libf/phylmd/tracco2i_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/tracco2i_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/tracco2i_mod.f90	(revision 5282)
@@ -34,6 +34,6 @@
     USE carbon_cycle_mod, ONLY: id_CO2, nbcf_in, fields_in, cfname_in
     USE carbon_cycle_mod, ONLY: fco2_ocn_day, fco2_ff, fco2_bb, fco2_land, fco2_ocean
-    USE carbon_cycle_mod, ONLY: read_fco2_ocean_cor,var_fco2_ocean_cor,fco2_ocean_cor 
-    USE carbon_cycle_mod, ONLY: read_fco2_land_cor,var_fco2_land_cor,fco2_land_cor 
+    USE carbon_cycle_mod, ONLY: read_fco2_ocean_cor,var_fco2_ocean_cor,fco2_ocean_cor
+    USE carbon_cycle_mod, ONLY: read_fco2_land_cor,var_fco2_land_cor,fco2_land_cor
     USE carbon_cycle_mod, ONLY: co2_send
     USE carbon_cycle_mod, ONLY: fco2_land_nbp, fco2_land_nep, fco2_land_fLuc
@@ -62,7 +62,7 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+    USE clesphys_mod_h
 IMPLICIT NONE
 
-    INCLUDE "clesphys.h"
 
 
Index: LMDZ6/trunk/libf/phylmd/undefSTD.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/undefSTD.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/undefSTD.f90	(revision 5282)
@@ -3,4 +3,5 @@
 
 SUBROUTINE undefstd(itap, read_climoz)
+  USE clesphys_mod_h
   USE netcdf
   USE dimphy
@@ -9,5 +10,4 @@
 
   IMPLICIT NONE
-  include "clesphys.h"
   REAL :: missing_val
 
Index: LMDZ6/trunk/libf/phylmd/wx_pbl_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/wx_pbl_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/wx_pbl_mod.f90	(revision 5282)
@@ -6,5 +6,6 @@
 ! region (inside cold pools) and the (x) region (outside cold pools)
 !
-  USE dimphy
+  USE clesphys_mod_h
+    USE dimphy
 
   IMPLICIT NONE
@@ -51,5 +52,4 @@
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
-    INCLUDE "clesphys.h"
 !
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
Index: LMDZ6/trunk/libf/phylmd/wx_pbl_var_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/wx_pbl_var_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/wx_pbl_var_mod.f90	(revision 5282)
@@ -315,4 +315,5 @@
                                  )
 !
+    USE clesphys_mod_h
     USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -333,5 +334,4 @@
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
-    INCLUDE "clesphys.h"
 !
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
Index: LMDZ6/trunk/libf/phylmdiso/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5282)
@@ -160,5 +160,6 @@
 #endif  
 #endif
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE clesphys_mod_h
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -174,5 +175,4 @@
 IMPLICIT none
 
-  include "clesphys.h"
 
 ! Arguments :
@@ -693,5 +693,6 @@
 !======================================================================
 
-USE phys_state_var_mod, ONLY : phys_tstep, ftsol
+USE clesphys_mod_h
+  USE phys_state_var_mod, ONLY : phys_tstep, ftsol
 USE geometry_mod, ONLY: longitude_deg, latitude_deg
 USE print_control_mod, ONLY: prt_level
@@ -713,5 +714,4 @@
 IMPLICIT none
 
-  include "clesphys.h"
 
 ! Arguments :
Index: LMDZ6/trunk/libf/phylmdiso/change_srf_frac_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/change_srf_frac_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmdiso/change_srf_frac_mod.F90	(revision 5282)
@@ -41,4 +41,5 @@
   USE infotrac_phy, ONLY: ntiso    
 #endif
+    USE clesphys_mod_h
     USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -53,7 +54,6 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
-    
+
 !albedo SB >>>
-    include "clesphys.h"
 !albedo SB <<<
 
Index: LMDZ6/trunk/libf/phylmdiso/clesphys_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/clesphys_mod_h.f90	(revision 5282)
+++ LMDZ6/trunk/libf/phylmdiso/clesphys_mod_h.f90	(revision 5282)
@@ -0,0 +1,1 @@
+link ../phylmd/clesphys_mod_h.f90
Index: LMDZ6/trunk/libf/phylmdiso/concvl.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/concvl.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmdiso/concvl.F90	(revision 5282)
@@ -61,4 +61,5 @@
 #endif
 #endif
+  USE clesphys_mod_h
   USE phys_local_var_mod, ONLY: omega
   USE print_control_mod, ONLY: prt_level, lunout
@@ -127,5 +128,4 @@
 
 
-  include "clesphys.h"
 
   INTEGER, INTENT(IN)                           :: iflag_clos
Index: LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5282)
@@ -15922,8 +15922,8 @@
 #endif
 
-       implicit none   
+       USE clesphys_mod_h
+implicit none
 
       ! equivalent de phyetat0 pour les isotopes
-INCLUDE "clesphys.h"
 INCLUDE "compbl.h"
 
@@ -16097,7 +16097,6 @@
   USE isotrac_mod, ONLY: index_iso,index_zone,izone_init
 #endif
+      USE clesphys_mod_h
         implicit none
-INCLUDE "clesphys.h"
-!  INCLUDE "thermcell.h"
 INCLUDE "compbl.h"
 
@@ -16472,6 +16471,6 @@
    USE isotrac_mod, ONLY: strtrac, initialisation_isotrac, index_iso, index_zone, izone_init
 #endif
+   USE clesphys_mod_h
    IMPLICIT NONE
-INCLUDE "clesphys.h"
 INCLUDE "compbl.h"
 
Index: LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90	(revision 5282)
@@ -45,4 +45,5 @@
   USE infotrac_phy, ONLY: niso
 #endif
+    USE clesphys_mod_h
     USE dimsoil_mod_h, ONLY: nsoilmx
 
@@ -62,5 +63,4 @@
 
 
-    include "clesphys.h"
 
     INTEGER, INTENT (IN) :: nlon, year_len, iflag_phys
Index: LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5282)
@@ -59,4 +59,5 @@
 #endif
 #endif
+  USE clesphys_mod_h
   USE dimsoil_mod_h, ONLY: nsoilmx
 
@@ -78,5 +79,4 @@
   ! Objet: Lecture de l'etat initial pour la physique
   !======================================================================
-  include "clesphys.h"
   include "alpale.h"
   include "compbl.h"
Index: LMDZ6/trunk/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5282)
@@ -46,4 +46,5 @@
 #endif
 #endif
+  USE clesphys_mod_h
   USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send, carbon_cycle_rad, RCO2_glo
   USE indice_sol_mod, ONLY: nbsrf, is_oce, is_sic, is_ter, is_lic, epsfra
@@ -55,5 +56,4 @@
 
   IMPLICIT none
-  include "clesphys.h"
   include "alpale.h"
   include "compbl.h"
@@ -512,9 +512,9 @@
     use isotrac_mod, only: index_zone,index_iso,strtrac
 #endif
-      USE dimsoil_mod_h, ONLY: nsoilmx
+      USE clesphys_mod_h
+USE dimsoil_mod_h, ONLY: nsoilmx
         implicit none
 
         ! equivalent isotopique de phyredem
-INCLUDE "clesphys.h"
 INCLUDE "alpale.h"
 INCLUDE "compbl.h"
Index: LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5282)
@@ -443,4 +443,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+       USE clesphys_mod_h
 
     IMPLICIT NONE
@@ -496,5 +497,4 @@
 
     include "regdim.h"
-    include "clesphys.h"
     include "alpale.h"
     include "dimpft.h"
